cc.funkemunky.api.metrics

## Class Metrics

- java.lang.Object
- - cc.funkemunky.api.metrics.Metrics

    public class Metrics
    extends java.lang.Object

bStats collects some data for plugin authors.

Check out https://bStats.org/ to learn more about bStats!

### Nested Class Summary

Nested Classes
`static class` `Metrics.AdvancedBarChart` Represents a custom advanced bar chart.
`static class` `Metrics.AdvancedPie` Represents a custom advanced pie.
`static class` `Metrics.CustomChart` Represents a custom chart.
`static class` `Metrics.DrilldownPie` Represents a custom drilldown pie.
`static class` `Metrics.MultiLineChart` Represents a custom multi line chart.
`static class` `Metrics.SimpleBarChart` Represents a custom simple bar chart.
`static class` `Metrics.SimplePie` Represents a custom simple pie.
`static class` `Metrics.SingleLineChart` Represents a custom single line chart.

### Field Summary

Fields
`static int` `B_STATS_VERSION`

### Constructor Summary

Constructors
Constructor and Description
`Metrics(org.bukkit.plugin.Plugin plugin)` Class constructor.

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `addCustomChart(Metrics.CustomChart chart)` Adds a custom chart.
`org.json.simple.JSONObject` `getPluginData()` Gets the plugin specific data.
`boolean` `isEnabled()` Checks if bStats is enabled.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### B_STATS_VERSION

    public static final int B_STATS_VERSION

See Also:
  Constant Field Values

### Constructor Detail

#### Metrics

    public Metrics(org.bukkit.plugin.Plugin plugin)

Class constructor.

Parameters:
  `plugin` - The plugin which stats should be submitted.

### Method Detail

#### isEnabled

    public boolean isEnabled()

Checks if bStats is enabled.

Returns:
  Whether bStats is enabled or not.

#### addCustomChart

    public void addCustomChart(Metrics.CustomChart chart)

Adds a custom chart.

Parameters:
  `chart` - The chart to add.

#### getPluginData

    public org.json.simple.JSONObject getPluginData()

Gets the plugin specific data. This method is called using Reflection.

Returns:
  The plugin specific data.